CurseForge and Overwolf are joining forces!
Awesome More Information
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Rollibock »

    Thx for the quick answer, and sorry for the missing log, I'm not so used to all that. :( Here are the lines, when I try to update the 2 mods manually:

    2007-02-22 13:41: (DEBUG) Cockpit online version: 20070114
    2007-02-22 13:41: (INFO) Upgrading Cockpit from -2 to 20070114
    2007-02-22 13:41: (ERROR) Installation of addon failed: File is not a zip file
    2007-02-22 13:41: (ERROR) Upgrade of Cockpit failed!
    2007-02-22 13:41: (DEBUG) TankPoints online version: 20070203
    2007-02-22 13:41: (INFO) Upgrading TankPoints from -2 to 20070203
    2007-02-22 13:41: (ERROR) Installation of addon failed: 'ascii' codec can't decode byte 0xa4 in position 36: ordinal not in range(128)
    2007-02-22 13:41: (ERROR) Upgrade of TankPoints failed!

    So there is an error message obviously, I hope I can help you out a little bit more ...



    Finally! Fixed both of these! :D

    2007-02-22 16:53: (DEBUG) Cockpit online version: 20070114
    2007-02-22 16:53: (INFO) Upgrading Cockpit from -2 to 20070114
    2007-02-22 16:53: (WARN) c:\docume~1\lejordet\lokale~1\temp\Wurm\Cockpit-r20070114.zip is really a RAR file - renaming
    2007-02-22 16:53: (DEBUG) ^^^^ renamed to c:\docume~1\lejordet\lokale~1\temp\Wurm\Cockpit-r20070114.rar
    2007-02-22 16:53: (INFO) RAR contains 1 addon(s): Cockpit
    2007-02-22 16:53: (INFO) Backup of Cockpit done
    2007-02-22 16:53: (DEBUG) Ok, deleting Cockpit
    2007-02-22 16:53: (INFO) Cockpit removed successfully
    2007-02-22 16:53: (INFO) Cleaned addon Cockpit
    2007-02-22 16:53: (INFO) Cockpit is upgraded to 20070114
    2007-02-22 16:54: (DEBUG) TankPoints local version: 20070203
    2007-02-22 16:54: (DEBUG) TankPoints online version: 20070203
    2007-02-22 16:54: (INFO) Upgrading TankPoints from 20070203 to 20070203
    2007-02-22 16:54: (INFO) ZIP contains 2 addon(s): WT_DamageToRageTest, TankPoints
    2007-02-22 16:54: (ERROR) Can't delete WT_DamageToRageTest - addon not in list
    2007-02-22 16:54: (INFO) Cleaned addon WT_DamageToRageTest
    2007-02-22 16:54: (ERROR) Couldn't remove backup of TankPoints: [Error 2] Systemet finner ikke angitt fil: 'TankPoints\\reference\\CombatRatings\\\xf1\xa2\xaa\xed\xbc\xd2\xc1o\xa6L\xc1{\xbc\xf7+\xb2.txt'
    2007-02-22 16:54: (WARN) Backup of TankPoints failed
    2007-02-22 16:54: (DEBUG) ^^^^ [Error 17] Kan ikke opprette en fil n?r filen allerede finnes: u'C:\\Games\\World of Warcraft\\Interface\\WUUBackup\\TankPoints'
    2007-02-22 16:54: (DEBUG) Ok, deleting TankPoints
    2007-02-22 16:54: (ERROR) Couldn't remove TankPoints: [Error 2] Systemet finner ikke angitt fil: 'TankPoints\\reference\\CombatRatings\\\xf1\xa2\xaa\xed\xbc\xd2\xc1o\xa6L\xc1{\xbc\xf7+\xb2.txt'
    2007-02-22 16:54: (INFO) Cleaned addon TankPoints
    2007-02-22 16:54: (WARN) Skipping forbidden file TankPoints/reference/CombatRatings/RatingLab.xls
    2007-02-22 16:54: (WARN) Skipping forbidden file TankPoints/reference/CritDodgePerAgi/CritPerAgiLab.xls
    2007-02-22 16:54: (WARN) Skipping forbidden file TankPoints/reference/CritDodgePerAgi/DodgePerAgiLab.xlsx
    2007-02-22 16:54: (WARN) Skipping forbidden file TankPoints/reference/DamageToRage/result.xls
    2007-02-22 16:54: (WARN) Skipping forbidden file TankPoints/reference/DamageToRage/WT_DamageToRageTest/result.prn
    2007-02-22 16:54: (WARN) Skipping forbidden file TankPoints/reference/DamageToRage/WT_DamageToRageTest/result.xls
    2007-02-22 16:54: (WARN) Skipping forbidden file TankPoints/reference/DamageToRage/WT_DamageToRageTest/Test2 Level 40.prn
    2007-02-22 16:54: (INFO) TankPoints is upgraded to 20070203


    Yes, I know the error messages ain't pretty, but it's meant as a log to help me trace bugs, so you'll have to live with it :)

    WUU now does an extra check of every zip file to verify that it's not a rar file - if it finds a "Rar" header, it renames the file :)

    EDIT: I just want to implement "addon master list 2.0" before I release a new version today ;D
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Rollibock »

    Thx for the quick answer, and sorry for the missing log, I'm not so used to all that. :( Here are the lines, when I try to update the 2 mods manually:

    2007-02-22 13:41: (DEBUG) Cockpit online version: 20070114
    2007-02-22 13:41: (INFO) Upgrading Cockpit from -2 to 20070114
    2007-02-22 13:41: (ERROR) Installation of addon failed: File is not a zip file
    2007-02-22 13:41: (ERROR) Upgrade of Cockpit failed!
    2007-02-22 13:41: (DEBUG) TankPoints online version: 20070203
    2007-02-22 13:41: (INFO) Upgrading TankPoints from -2 to 20070203
    2007-02-22 13:41: (ERROR) Installation of addon failed: 'ascii' codec can't decode byte 0xa4 in position 36: ordinal not in range(128)
    2007-02-22 13:41: (ERROR) Upgrade of TankPoints failed!

    So there is an error message obviously, I hope I can help you out a little bit more ...


    Cockpit:

    "why yes, the ZIP file icon means that this links to a RAR file, how stupid of you"...oh, wait, both ZIP and RAR have the zip file icon... /sigh

    The other one is my fault, and I'll fix it later today :P (EDIT: Fixed now - will work in the next version)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Rollibock »

    1. Can somebody tell me if there is a special section or forum concentrating on the Mac(/Linux)-version of WUU?


    There's nothing other than this thread at the moment - I'm kinda undecided if I want to run a forum or wiki on the wuu web page (I imagine people wouldn't want to register on YET another forum), but I'd like some way of tracking comments, suggestions and feature requests other than sourceforge...

    Quote from Rollibock »

    2. I'm still having problems with TankPoints and also Cockpit, as mentioned by theErik. I don't get a error message, but after installation, WUU is not capable of getting the version number of the installed add-ons. The 2 mods remain marked as new, and every time I update the whole section, they are going to be installed. Maybe there's a trick ?


    Could you paste the relevant lines from the log, even if there's no error?

    Quote from davveh »

    Only me or doesnt this program even wanna detect atlasloot?


    In what way? The default in the master list is to get it from Cosmos, but a WoWInterface download is also possible - I just tried both, and they work
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from FlareCDE »

    Autoupdater informed me of the update and linked me to the page :). Works good.

    Still throwing out several of the following, but with no stack trace now :( -
    (python:5064): Gdk-CRITICAL **: gdk_window_set_cursor: assertion `GDK_IS_WINDOW (window)' failed

    I'm trying to isolate when, it might be whenever I modify an element in the app, such as move the bar between the two frames. I can't really say for sure. It's less critical than it claims, heh, program functions perfectly fine if I ignore the spam in my terminal.

    Various addon authors (such as Tekkub) have SVNs over at Google, is there some way a sort of generic "Google SVN" option could be added?


    Yeah, I get a lot of GDK errors too - I think it's more of a wxPython "problem" than a WUU-problem (yeah, yeah, trying to push the blame away from my code :P)

    SVN support, as long as the computer in question has the svn commmand line tools installed, shouldn't be THAT hard - it might even be easier than most "regular" addon sites, since SVN handles much of the settings internally :)

    _________________________________________________

    I've started on lod/packages support, expecting to have that ready sometime tomorrow (unless something gets in the way), and I'll do it without running a single .bat file ;D
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    WUU 1.1.173
    WUU 1.1.173 source

    1.1.173 (2007.02.21):

    * Bugfix: WUU now works even if your addon directory is not called "AddOns" on OSX/Linux (case insensitive search added)
    * Bugfix: Clean temp dir works again (1.1.173)
    * Bugfix: Fixed crash on missing addon (1.1.173)

    ...I hope that fixes the immediate troubles you've had, at least? I'll look into the package handling later today :)

    EDIT: How's the new autoupdater working, by the way?
    Posted in: Updaters
  • 0

    posted a message on LoD Modular Addons (oRA + Bigwigs)
    Quote from FlareCDE »

    This I see. It seems the updater I'm using is losing them. I grabbed them manually for now, I'll see what's up. Thanks!


    Yep, as I said in the other thread, WUU won't extract "unsafe" files (as .bat/.sh files in theory could be) - I'll have WUU handle that part in another way :)
    Posted in: General Chat
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from FlareCDE »

    FYI, you may want to smarten the directory search a bit. WUU got snagged because my addons directory is Addons, and not AddOns. Handled it gracefully (it did nothing, actually). Doesn't seem to bother WoW any. Nice tool though. Just switched over to Linux so I needed something new.

    Edit: Encountered an error of sorts:
    (python:12060): Gdk-CRITICAL **: gdk_window_set_cursor: assertion `GDK_IS_WINDOW (window)' failed
    Traceback (most recent call last):
     File "WUU.py", line 1076, in OnScan
      Wurm.scanAddons()
     File "/home/flarecde/.wine/drive_c/Program Files/wow/wuu/Wurm.py", line 1482, in scanAddons
      WurmCommon.addonlist[a] += ({"missing":True})
    TypeError: can only concatenate tuple (not "dict") to tuple
    No idea if this is something I did or not. It repeats quite a bit, but doesn't seem to affect the program any. I'm a total nub when it comes to this OS, so just getting it running was a personal feat :).


    Ooops, two new bugs :) (never thought about the "Addons" vs "AddOns" possibility, and the other error message is related to the new way of handling addons that are deleted: mark them as missing, not delete them from the list :))

    I'll fix those later today, I guess :)

    Quote from FlareCDE »

    'nother nit pick - WUU seems to be losing the batch and shell script files that come with packaged addons. They're in the zips, but aren't in the folders after update. I have to download the dratted things manually to avoid having to renaming a pile of folders. While I understand full support of the package stuff is probably a major burden, any chance it could stop losing those poor little script files? :(


    WUU won't extract files with extensions other than what's on the internal "white list" - since .bat/.sh files can potensially be a security risk, they're not in the list, and the .wau files aren't integral to the actual mod... I'm going to code an internal handler for those files instead of extracting them blindly - I don't like running unchecked code ;)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    WUU 1.1.170
    WUU 1.1.170 source

    1.1.170 (2007.02.20):

    * Added option to use data from the WUU website (default enabled) (1.1.170)
    * Added auto-lookup of site ID when editing an addon (if allowed by the "use website" setting) (1.1.170)
    * Bugfix: RAR support (again) (1.1.170)
    * Added tooltip to site ID field in addon edit dialog (1.1.170)
    * Added tooltips to all options in the Preferences (1.1.170)

    To explain the new stuff:
    When you're in the edit addon dialog (right click an addon to bring it up), WUU will try to look up the site ID in the database on wuu.vagabonds.info (the one you've all been contributing to with the "Upload your addon list"-function in the Tools menu :D) - WUU will only do a lookup if another site is selected in the dropdown, so your current setting is safe :)

    EDIT: I specifically tested MCP this time, and "it works for me" :P
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Rayyl »

    2007-02-20 12:05: (INFO) Upgrading MCP from -2 to 20061217
    2007-02-20 12:05: (DEBUG) Downloading http://media5.curse-gaming.com/download/52b13fb367c2e3a4ec0b7d294a95f3699615914f/1171994640/47/22792/ to MCP-r20061217.rar
    2007-02-20 12:05: (INFO) RAR contains 1 addon(s): MCP
    2007-02-20 12:05: (INFO) Backup of MCP done
    2007-02-20 12:05: (ERROR) Installation of addon failed: local variable 'n' referenced before assignment
    2007-02-20 12:05: (ERROR) Upgrade of MCP failed!


    Same addon I posted about earlier, just a different error message now.


    Bah, I forgot to move a line of code two places up - sorry :( I'll release a new version shortly, as soon as I've changed the other stuff I've started on :)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    WUU 1.1.169
    WUU 1.1.169 source

    1.1.169 (2007.02.20):

    * Bugfix: Unicode in TOC
    * Added GathererAddon.com to sites
    * Fixed bug 1655381 (SourceForge): Unicode error when saving
    * Bugfix: RAR support was broken

    Note that the GathererAddon support is purely theoretical at the moment, since it only supports "release" versions of Gatherer, which doesn't exist (yet) - adding beta support is planned in the next release :)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from theErik »

    Quote from lejordet »

    GathererAddon: Should be very simple, due to the similarity to Auctioneer (why are they separate pages at all...?)


    Frick if I know. :-) I've wondered that myself

    Quote from lejordet »

    I'm working on stamping out Unicode bugs, but they're kind of "squash 'em when they appear" (without checking, I'm guessing the .toc file for those two addons have "special characters", like "???" or Kyrillic or something :) WUU used to crash on a WoWAce addon where the author's name had an "?" in it :P)


    And sure enough, there are odd characters in the .toc, just as you thought. I'll get in touch with the author and ask him if he can change them to something clean.

    Thanks much!


    I've implemented GathererAddon (in theory, at least - coded it quickly on the train to work, only 5 lines changed from the Auctioneer code :D)

    And the .toc character is "my problem", not the author's problem :) I _think_ I've gotten it correct in the current code...I'll probably release a new version later today.

    EDIT: GathererAddon support won't do anything exciting yet, since I haven't coded in support for auctioneer beta versions, and gatherer has no "release" version :(
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from theErik »

    I just discovered this utility, and I love it - I used to spend several hours every patch dealing with updating addons, and it's now a 2 click process. Thanks for a great job.

    However, I have two issues with the current version.

    1) I use Gatherer, which is at http://gathereraddon.com which is laid out and organized *exactly* like auctioneeraddon.com. Can this be added?

    2) There are two addons I use that throw errors. One updates successfully despite the errors, the other does not. To add to the mystery, they're both created by the same author. The addons are TankPoints (http://www.wowinterface.com/downloads/info6419-TankPoints.html) and RatingBuster (http://www.wowinterface.com/downloads/info5819-RatingBuster.html), both by Whitetooth. The error WUU throws is:
    Traceback (most recent call last):
    File "WUU.py", line 1400, in OnListItemSelected
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xe5 in position 417: ordinal not in range(128)
    on one file and
    Traceback (most recent call last):
    File "WUU.py", line 1400, in OnListItemSelected
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xe5 in position 414: ordinal not in range(128)
    on the other.

    I'm suspecting that there may be something wonky about his .zip file builder, since both of his addons throw errors and no others do, but it seems appropriate to check with you first to be sure before bothering him with pure speculation. :-)

    Thanks again for a great piece of work.


    GathererAddon: Should be very simple, due to the similarity to Auctioneer (why are they separate pages at all...?)

    I'm working on stamping out Unicode bugs, but they're kind of "squash 'em when they appear" (without checking, I'm guessing the .toc file for those two addons have "special characters", like "???" or Kyrillic or something :) WUU used to crash on a WoWAce addon where the author's name had an "?" in it :P)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from X-buZZ »

    Hi Lejordet,

    i have just discovered a bunch of nice addons:

    http://www.ctmod.net/downloads

    Is it possible to implement this site of outamatic update?

    Kind regards
    X-buZZ

    Well, their "version numbers" are 'Last updated: 1 week, 3 days ago' - which means I have to parse the sentence to convert that into "20070206" :| won't be easy, but it's better than their previous system...

    Quote from LoSti.o89 »

    ?hhhh couldnt open your .rar My AntiVir is Crying...

    Any Idea? O_o


    What .rar?
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Rayyl »

    Quote from lejordet »

    and yes, addons.wurm.xml in the WoW folder is "working as intended" ;)

    Is there some reason for storing it in the WoW folder instead of in the WUU folder?

    The reason I ask is that I use multiple interface folders depending on what I plan on doing. They each have different addons. Sometimes I do this to test new UI sets or just to try something different without affecting my overall setup. With the addons.wurm.xml file in the main wow folder, WUU makes both interface folders identical because it downloads "missing" addons. Now if the addons.wurm.xml file was actually in the WoW\Interface folder, when I swap interface folders out, WUU would only see and deal with the addons in that specific Interface folder. If you put the addons.wurm.xml file into the WUU folder, then I could simply create a another WUU install for the 2nd interface folder.

    I hope this isn't too jumbled. I know I haven't said it yet, but WUU is my bread and butter for addons now. I've been manually updating addons since the very early days of Cosmos. This is an outstanding app and I tell everyone I know about it. Kudos to you.


    No specific reason for the placement, no - other than it being easier to test different versions of WUU at once ;) I'll look into other ways of placing the file, maybe having the next version of WUU load the file from the WoW directory, and save it to the WUU directory, then delete/rename the original :)

    Quote from Rayyl »

    2007-02-15 13:55: (INFO) Upgrading Cartographer_Scribe from -2 to 20070105
    2007-02-15 13:56: (ERROR) Installation of addon failed: File is not a zip file
    2007-02-15 13:56: (ERROR) Upgrade of Cartographer_Scribe failed!


    http://www.wowinterface.com/downloads/info6674-CartographerScribe.html

    It's a RAR filetype. Could it have something do with the version of RAR, perhaps? I see this happening on few other rar files as well. There aren't many out there. I looked thru the FAQ and I see where it looks like RAR support is built in.

    Here's another RAR file that failed, but the error is different.
    2007-02-15 13:56: (INFO) Upgrading MCP from -2 to 20061217
    2007-02-15 13:56: (DEBUG) Downloading http://media5.curse-gaming.com/download/7db7caab0ca53b43e2fc33e3515002aa54eb37da/1171569300/47/22792/ to MCP-r20061217.rar
    2007-02-15 13:56: (ERROR) Installation of addon failed: global name 'zfile' is not defined
    2007-02-15 13:56: (ERROR) Upgrade of MCP failed!



    The first file fails due to there being a zip icon on the WoWI page, even when the file is a RAR :(

    But, that wouldn't help much, since the second error indicates RAR support is broken altogether (EDIT: Fixed in the source - a single-line fix ;)) - it'll be fixed in the next version (dunno if I can fix WoWI misrepresenting the files, tho...)

    EDIT2: Oh well, this just means I get to test the new updater tomorrow :D
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    WUU 1.1.165
    WUU 1.1.165 source

    1.1.165 (2007.02.15):

    * Added support for CurseGaming beta mods (rightclick addon, check "Allow beta version")
    * Added specialflags support to GUI (not 100% complete)
    * Changed updater to use NSIS (Windows only - UpdateWUU.exe will always download and install the latest non-beta version, and it requires a working WUU installation in the same directory)

    and yes, addons.wurm.xml in the WoW folder is "working as intended" ;)
    Posted in: Updaters
  • To post a comment, please or register a new account.